The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> gethostname - get name of current host

#### SYNOPSIS

> ``#include <unistd.h>
> int gethostname(char *`name`, size_t` namelen`);
> ``

#### DESCRIPTION

> The gethostname() function shall return the standard host name for the current machine. The namelen argument shall specify the size of the array pointed to by the name argument. The returned name shall be null-terminated, except that if namelen is an insufficient length to hold the host name, then the returned name shall be truncated and it is unspecified whether the returned name is null-terminated.

> Host names are limited to {HOST_NAME_MAX} bytes.

#### RETURN VALUE

> Upon successful completion, 0 shall be returned; otherwise, -1 shall be returned.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> gethostid, uname

> XBD <unistd.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the XNS, Issue 5.2 specification.

> The Open Group Base Resolution bwg2001-008 is applied, changing the namelen parameter from socklen_t to size_t.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]